> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an agent prompt



## OpenAPI

````yaml /api-referansi/openapi.json post /v1/agent-prompts
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: >-
    Flextell REST API referansı. Kimlik doğrulama, scope ve istek kuralları için
    API sekmesindeki rehberlere bakın.
servers:
  - url: https://app.flextell.ai/api
    description: Üretim
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/agent-prompts:
    post:
      tags:
        - AgentPrompt
      summary: Create an agent prompt
      operationId: agentPrompt.store
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentPromptStoreRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/AgentPromptResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '428':
          description: >-
            Mandatory setup is incomplete. Finish the setup wizard first;
            `data.next_step` names the step to continue with.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    examples:
                      - false
                  error_code:
                    type: string
                    enum:
                      - SETUP_REQUIRED
                    examples:
                      - SETUP_REQUIRED
                  message:
                    type: string
                    examples:
                      - Complete the required setup steps to continue.
                  data:
                    type: object
                    properties:
                      next_step:
                        type:
                          - string
                          - 'null'
                        examples:
                          - clinic_info
                    required:
                      - next_step
                required:
                  - success
                  - error_code
                  - message
                  - data
components:
  schemas:
    AgentPromptStoreRequest:
      type: object
      properties:
        type:
          type: string
          description: >-
            The agent type (greeter, booking, info, support, router, spam,
            ai_report, intake_router, intake).
          enum:
            - greeter
            - booking
            - info
            - support
            - router
            - spam
            - ai_report
            - intake_router
            - intake
        prompt:
          type: string
          description: The system prompt content for the agent.
        language:
          anyOf:
            - $ref: '#/components/schemas/Language'
              description: >-
                The language of the patients this prompt serves (tr or en).
                Defaults to tr. Each agent type has at most one active prompt
                per language.
            - type: 'null'
        llm_model:
          type:
            - string
            - 'null'
          description: >-
            The LLM model name to run this agent with, from the selectable
            models catalog. Null uses the system default model.
          enum:
            - anthropic/claude-opus-5.5
            - openai/gpt-5.6-luna
            - openai/gpt-5.6-terra-pro
            - openai/gpt-5.6-terra
            - openai/gpt-5.6-sol-pro
            - openai/gpt-5.6-sol
            - anthropic/claude-sonnet-5
            - anthropic/claude-fable-5
            - anthropic/claude-opus-4.8
            - google/gemini-3.5-flash
            - google/gemini-3.1-flash-lite
            - x-ai/grok-4.3
            - openai/gpt-5.5-pro
            - anthropic/claude-opus-4.8-fast
            - openai/gpt-5.5
            - anthropic/claude-opus-4.7-fast
            - openai/gpt-chat-latest
            - openai/gpt-5-codex
            - x-ai/grok-4.5
            - x-ai/grok-build-0.1
            - openai/gpt-5.6-luna-pro
            - anthropic/claude-opus-4.7
            - google/gemma-4-26b-a4b-it
            - google/gemma-4-26b-a4b-it:free
            - openai/gpt-5.4-nano
            - openai/gpt-5.4-pro
            - openai/gpt-5.4
            - google/gemini-3.1-pro-preview
            - anthropic/claude-sonnet-4.6
            - anthropic/claude-opus-4.6
            - openai/gpt-5.3-chat
            - google/gemini-3.1-flash-lite-preview
            - deepseek/deepseek-v4-flash
            - x-ai/grok-4.20
            - google/gemini-3.1-pro-preview-customtools
            - openai/gpt-5.3-codex
            - google/gemma-4-31b-it
            - google/gemma-4-31b-it:free
            - openai/gpt-5.2-pro
            - openai/gpt-5.2
            - anthropic/claude-opus-4.5
            - openai/gpt-5.1
            - anthropic/claude-haiku-4.5
            - openai/gpt-5.1-chat
            - openai/gpt-oss-safeguard-20b
            - openai/gpt-5-pro
            - openai/o3-deep-research
            - openai/o4-mini-deep-research
            - anthropic/claude-sonnet-4.5
            - openai/gpt-5.2-chat
            - openai/gpt-5.1-codex-max
            - openai/gpt-5.1-codex
            - openai/gpt-5.1-codex-mini
            - deepseek/deepseek-v3.2-exp
            - openai/gpt-5.4-mini
            - deepseek/deepseek-chat-v3.1
            - openai/gpt-5
            - openai/gpt-5-nano
            - openai/gpt-oss-120b
            - openai/gpt-oss-20b
            - google/gemini-2.5-flash-lite
            - google/gemini-2.5-flash
            - openai/o3
            - openai/o4-mini
            - openai/gpt-4.1
            - openai/o3-pro
            - deepseek/deepseek-r1-0528
            - openai/o4-mini-high
            - openai/gpt-4.1-mini
            - openai/gpt-4.1-nano
            - google/gemini-2.5-pro
            - deepseek/deepseek-chat-v3-0324
            - google/gemma-3-12b-it
            - google/gemma-3-27b-it
            - openai/o3-mini-high
            - google/gemini-3-flash-preview
            - openai/gpt-4o
            - openai/o1
            - openai/gpt-4-turbo
            - openai/gpt-3.5-turbo-0613
            - openai/gpt-4-turbo-preview
            - openai/gpt-3.5-turbo-16k
            - deepseek/deepseek-chat
            - openai/gpt-4o-2024-11-20
            - openai/gpt-4o-2024-08-06
            - openai/gpt-4o-mini-2024-07-18
            - openai/gpt-4o-2024-05-13
            - anthropic/claude-haiku-5.5
            - openai/gpt-4
            - anthropic/claude-sonnet-5.5
            - openai/gpt-6.1-sol-pro
            - openai/gpt-6.1-sol
            - openai/gpt-6-luna-pro
            - openai/gpt-6-luna
            - openai/gpt-6-sol-pro
            - openai/gpt-6-sol
            - deepseek/deepseek-v4.1-flash
            - openai/gpt-6-astra
            - x-ai/grok-4.7
            - openai/gpt-6-astra-pro
            - google/gemini-3.8-flash
            - anthropic/claude-fable-5.1
            - google/gemini-3.7-flash
            - openai/gpt-5-mini
            - deepseek/deepseek-v4-flash-vision-exp
            - deepseek/deepseek-v4-pro-0813
            - x-ai/grok-4.6
            - deepseek/deepseek-v4-flash-0731
            - anthropic/claude-opus-5
            - google/gemini-3.6-flash
            - google/gemini-3.5-flash-lite
            - deepseek/deepseek-v4-pro
            - openai/gpt-5.2-codex
            - deepseek/deepseek-v3.2
            - deepseek/deepseek-v3.1-terminus
            - deepseek/deepseek-r1
            - openai/o3-mini
            - openai/gpt-4o-mini
            - openai/gpt-3.5-turbo
            - null
        is_active:
          type: boolean
          description: Whether the agent prompt is active.
      required:
        - type
        - prompt
        - is_active
      title: AgentPromptStoreRequest
    AgentPromptResource:
      type: object
      properties:
        id:
          type: integer
        tenant_id:
          type:
            - integer
            - 'null'
        type:
          type: string
        type_label:
          type:
            - string
            - 'null'
        language:
          type: string
        llm_model:
          type:
            - string
            - 'null'
        prompt:
          type: string
        is_active:
          type: boolean
        can_activate:
          type: boolean
          description: >-
            Whether this agent type may be activated in the tenant's current
            conversation mode.
        activation_restriction_reason:
          type:
            - string
            - 'null'
          description: >-
            Why this agent type cannot be activated in the current mode; null
            when it can.
        stable_version_id:
          type:
            - integer
            - 'null'
        tenant:
          $ref: '#/components/schemas/RelatedTenantResource'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - tenant_id
        - type
        - type_label
        - language
        - llm_model
        - prompt
        - is_active
        - can_activate
        - activation_restriction_reason
        - stable_version_id
        - created_at
        - updated_at
        - deleted_at
      title: AgentPromptResource
    Language:
      type: string
      enum:
        - tr
        - en
      title: Language
    RelatedTenantResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedTenantResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.